Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theater
Interface PixelArea

All Known Implementing Classes:
  Actor, Cell, CellArea, Component, Point, Prop, Rectangle, Stage

    public interface PixelArea

PixelArea ist ein Interface, das die Grundlage der Kollisionserkennungsmethoden darstellt. Eine PixelArea kann man sich dabei als ein beliebiges Gebiet auf der Bühne vorstellen. Neben einigen zur Verfügung gestellten Standardklassen (Point, Rectangle, Cell, CellArea) implementieren auch die Klassen Stage und Component das Interface. Dadurch sind nur sehr wenige Methoden zur Kollisionserkennung notwendig, die jedoch sehr flexibel und umfassend eingesetzt werden können.

Version:
  1.0 (08.09.2009)
Author:
  Dietrich Boles, Universität Oldenburg, Germany

Method Summary
`boolean` | `contains(int x, int y)` Überprüft, ob der Punkt mit den Koordinaten x und y innerhalb der PixelArea liegt.
`boolean` | `intersects(PixelArea area)` Überprüft, ob die aufgerufene PixelArea die als Parameter übergebene PixelArea schneidet.
`boolean` | `isInside(PixelArea area)` Überprüft, ob die aufgerufene PixelArea komplett innerhalb der als Parameter übergebenen PixelArea liegt.

Method Detail

### contains

    boolean contains(int x,
                     int y)

  Überprüft, ob der Punkt mit den Koordinaten x und y innerhalb der PixelArea liegt.

  Parameters:
    `x` - x-Koordinate des Punktes
    `y` - y-Koordinate des Punktes
  Returns:
    genau dann true, wenn der Punkt mit den Koordinaten x und y innerhalb der PixelArea liegt

### intersects

    boolean intersects(PixelArea area)

  Überprüft, ob die aufgerufene PixelArea die als Parameter übergebene PixelArea schneidet.

  Parameters:
    `area` - die zu vergleichende PixelArea
  Returns:
    genau dann true, wenn die aufgerufene PixelArea die als Parameter übergebene PixelArea schneidet

### isInside

    boolean isInside(PixelArea area)

  Überprüft, ob die aufgerufene PixelArea komplett innerhalb der als Parameter übergebenen PixelArea liegt.

  Parameters:
    `area` - die zu vergleichende PixelArea
  Returns:
    genau dann true, wenn die aufgerufene PixelArea komplett innerhalb der als Parameter übergebenen PixelArea liegt

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD